
QGIS Application - Feature request #3482

Enhancement: Curved labels for polygons

2011-02-10 11:50 PM - Alister Hood

Status: Open

Priority: Low

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13542

Description

It would be nice (although possibly quite difficult!) to have an option for curved labels on polygon layers.  e.g. see the labels for China and

Nepal in this map.

https://trac.osgeo.org/qgis/attachment/ticket/3481/asia_map.jpg

History

#1 - 2011-02-11 12:28 PM - bderstine -

This is called "splining" by ESRI.  I agree that this is a good enhancement not only for polygon features but also for polyline features.  This is a must for

snaking rivers, curved roads, and oblong polygon features.

#2 - 2011-02-13 12:28 AM - Alister Hood

The "new" labelling engine can already do curved labels for polylines.

#3 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-08-06 05:04 PM - Alister Hood

- Category changed from Symbology to Labelling

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Assignee deleted (nobody -)

New link for that map:

https://issues.qgis.org/attachments/3102/asia_map.jpg

#6 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
